NSMB(4) | Kernel Interfaces Manual | NSMB(4)

# NAME

nsmb — kernel SMB protocol communicator

# SYNOPSIS

pseudo-device nsmb

# DESCRIPTION

This virtual device is used by SMBFS filesystem for actual communication with SMB servers. It provides the physical transportation, encapsulating the networking part of SMBFS. Only SMB over TCP/IP is supported at this moment, SMB over NetBIOS is not supported.

For the SMBFS kernel support to work, it's necessary to have both this pseudo-device and file-system SMBFS configured into kernel.

# SEE ALSO

mount_smbfs(8)

# HISTORY

This driver first appeared in FreeBSD 4.4. In NetBSD, this first appeared in NetBSD 2.0, together with rest of SMBFS support.

# AUTHORS

Boris Popov <bp@butya.kz>, <bp@FreeBSD.org>. NetBSD port done by Matt Debergalis <deberg@NetBSD.org> and Jaromir Dolecek <jdolecek@NetBSD.org>.

January 18, 2004 | NetBSD 6.0